com.ibm.openpages.api

## Class OpenPagesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AccessDeniedException, IllegalStateException, InvalidArgumentException, NotSupportedException, ObjectAlreadyExistsException, ObjectNotFoundException, PasswordException, RoleException, SchedulerException, SearchException, SolutionException, TBRuleException, ThemeException, WFException

      public class OpenPagesException
      extends java.lang.RuntimeException

  Root of all runtime exceptions that can be thrown from the OpenPages public API.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenPagesException()` Constructs a new OpenPagesException with `null` as its detail message.
    `OpenPagesException(ErrorCode code, java.util.List<java.lang.Object> parameters)` Constructs a new OpenPagesException with the OpenPages Error Message as its detail message for the specified code.
    `OpenPagesException(ErrorCode code, java.util.List<java.lang.Object> parameters, java.lang.Throwable cause)` Constructs a new OpenPagesException with the OpenPages Error Message as its detail message for the specified code and cause.
    `OpenPagesException(java.lang.String message)` Constructs a new OpenPagesException with the specified detail message.
    `OpenPagesException(java.lang.String message, java.lang.Throwable cause)` Constructs a new OpenPagesException with the specified detail message and cause.
    `OpenPagesException(java.lang.Throwable cause)` Constructs a new OpenPagesException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`, which typically contains the class and detail message of `cause`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAdditionalMessage()` Returns the OpenPages message of this exception if there is any, otherwise returns the message of the exception.
    `ErrorCode` | `getCode()`
    `java.lang.String` | `getLocalizedMessage()` Returns the localized message of this exception.
    `java.lang.String` | `getMessage()` Returns the message of this exception.
    `java.util.List<java.lang.Object>` | `getParameters()`
    `java.util.Date` | `getTimestamp()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenPagesException

          public OpenPagesException()

      Constructs a new OpenPagesException with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### OpenPagesException

          public OpenPagesException(java.lang.String message)

      Constructs a new OpenPagesException with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `getMessage()` method.

    - #### OpenPagesException

          public OpenPagesException(java.lang.String message,
                                    java.lang.Throwable cause)

      Constructs a new OpenPagesException with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

      Parameters:
        `message` - the detail message, which is saved for later retrieval by the `getMessage()` method.
        `cause` - the cause, which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### OpenPagesException

          public OpenPagesException(java.lang.Throwable cause)

      Constructs a new OpenPagesException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`, which typically contains the class and detail message of `cause`. This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause, which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### OpenPagesException

          public OpenPagesException(ErrorCode code,
                                    java.util.List<java.lang.Object> parameters)

      Constructs a new OpenPagesException with the OpenPages Error Message as its detail message for the specified code. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `code` - (required) the OpenPages Error Code for this Exception
        `parameters` - any parameters for the Error's formatted error message text

    - #### OpenPagesException

          public OpenPagesException(ErrorCode code,
                                    java.util.List<java.lang.Object> parameters,
                                    java.lang.Throwable cause)

      Constructs a new OpenPagesException with the OpenPages Error Message as its detail message for the specified code and cause.
      Parameters:
        `code` - (required) the OpenPages Error Code for this Exception
        `parameters` - any parameters for the Error's formatted error message text
        `cause` - the cause, which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Returns the message of this exception.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        The message of this exception.

    - #### getLocalizedMessage

          public java.lang.String getLocalizedMessage()

      Returns the localized message of this exception.
      Overrides:
        `getLocalizedMessage` in class `java.lang.Throwable`
      Returns:
        The localized message of this exception.

    - #### getCode

          public ErrorCode getCode()

    - #### getParameters

          public java.util.List<java.lang.Object> getParameters()

    - #### getAdditionalMessage

          public java.lang.String getAdditionalMessage()

      Returns the OpenPages message of this exception if there is any, otherwise returns the message of the exception.
      Returns:
        The message for exception.

    - #### getTimestamp

          public java.util.Date getTimestamp()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.